# gfolio
The gfolio is a Python library, containing a set of tools useful  to perform quantitative analysis of financial assets.


Avaible Modules
----------------

-   [Portfolio Optimization Module](#Portfolio-Optimization)

-   [Portfolio Metrics Module](#Portfolio-Metrics)

-   [Asset Metrics](#Asset-Metrics)


To be implemented...
The library is in alpha stage, and not fully completed. There are some modules that are not yet implemented. Such as:

| Modules                         | Algorithms                           |
| -------------                   | -------------                        |
| Online Portfolio Selection      | CORN, OLMAR, FCORNK,            (...)|
| Asset Screening                 | Hierarchical, Linear, Z-Score,  (...)|
| Option Pricing                  | Black-Scholes, Binomial, MC,    (...)|
| Bet Sizing (And Loss Functions) | Kelly, Kelly-Maximin, Bayesian, (...)|
| Filtering                       | Rank, Correlation, Kalman,      (...)|
| Robust Backtesting              | out-of-sample, in-sample,       (...)|



Installation
----------------

The [`gfolio`](https://pypi.org/project/gfolio/) project is available on PyPI. To install it you can use pip: 

```bash
pip install gfolio
```

Alternatively, install the package from the source using the following command:

```bash
# 1) Clone the repository
git clone https://github.com/GabrielAbra/gfolio

# 2) And then install the package
python setup.py install
```


